spandsp: t4_state_s Struct Reference

spandsp 0.0.6

t4_state_s Struct Reference

`#include <t4_tx.h>`

## Public Attributes
int | rx
| The same structure is used for T.4 transmit and receive. This variable records which mode is in progress.
int | line_encoding
| The type of compression used between the FAX machines.
time_t | page_start_time
| The time at which handling of the current page began.
const char * | header_info
| The text which will be used in FAX page header. No text results in no header line.
struct tz_s * | tz
| Optional per instance time zone for the FAX page header timestamp.
int | line_image_size
| The size of the compressed image on the line side, in bits.
int | bytes_per_row
| The current number of bytes per row of uncompressed image data.
int | image_size
| The size of the image in the image buffer, in bytes.
int | image_buffer_size
| The current size of the image buffer.
uint8_t * | image_buffer
| A point to the image buffer.
int | current_page
| The number of pages transferred to date.
int | x_resolution
| Column-to-column (X) resolution in pixels per metre.
int | y_resolution
| Row-to-row (Y) resolution in pixels per metre.
int | image_width
| Width of the current page, in pixels.
int | image_length
| Length of the current page, in pixels.
int | row
| Current pixel row number.
int | row_is_2d
| This variable is set if we are treating the current row as a 2D encoded one.
int | row_len
| The current length of the current row.
uint32_t * | cur_runs
| Black and white run-lengths for the current row.
uint32_t * | ref_runs
| Black and white run-lengths for the reference row.
uint8_t * | row_buf
| Pointer to the buffer for the current pixel row.
uint32_t | tx_bitstream
| Encoded data bits buffer.
int | tx_bits
| The number of bits currently in tx_bitstream.
int | row_bits
| The current number of bits in the current encoded row.
int | min_row_bits
| The minimum bits in any row of the current page. For monitoring only.
int | max_row_bits
| The maximum bits in any row of the current page. For monitoring only.
logging_state_t | logging
| Error and flow logging control.
t4_tiff_state_t | tiff
| All TIFF file specific state information for the T.4 context.
t4_t6_decode_state_t | t4_t6_rx
t4_t6_encode_state_t | t4_t6_tx

## Detailed Description

T.4 FAX compression/decompression descriptor. This defines the working state for a single instance of a T.4 FAX compression or decompression channel.

The documentation for this struct was generated from the following file:

- private/t4_tx.h